<template>
  <div class="user-avatar shadow-sm" :style="{ '--size': size }">
    <img :src="this.$auth.user.picture" v-if="this.$auth.user.picture" />
    <img src="@/assets/default_avatar.svg" v-else />
  </div>
</template>

<script>
export default {
  name: 'user-avatar',
  props: ['size']
}
</script>

<style scoped>
.user-avatar, .user-avatar img {
  border-radius: 50%;
  height: var(--size);
}
</style>
